Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040010
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformtrivialhave not tried2019-01-23 13:102019-03-28 14:55
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revisionf1f5013df638
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040010: add javadoc warnings to default preferences

DescriptionIn order to keep a clener javadoc add some warnings in case it is malformed and validate tags for public methods
Steps To ReproduceWrite javadoc in a public method including an unexisting @param.
  -> It does not complain
Proposed SolutionBy now add it to default preferences to later include in CI.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0040011 newplatform update CI eclipse warnings to match Openbravo.properties 

-  Notes
(0109111)
hgbot (developer)
2019-01-23 13:20

Repository: erp/devel/pi
Changeset: 704742f416771e7fb2964e51997c67bee7b688e0
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jan 23 13:19:31 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/704742f416771e7fb2964e51997c67bee7b688e0 [^]

related to issue 40010: small javadoc fixes

---
M src-test/src/org/openbravo/test/materialMgmt/invoiceFromShipment/TestUtils.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
---
(0109112)
hgbot (developer)
2019-01-23 13:20

Repository: erp/devel/pi
Changeset: f1f5013df638615a5f1f092500b6766e8581441d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jan 23 13:20:20 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f1f5013df638615a5f1f092500b6766e8581441d [^]

fixed issue 40010: add javadoc warnings to default preferences

---
M config/eclipse/Openbravo-eclipse-prefs.epf
---
(0109261)
caristu (developer)
2019-01-25 14:52

Reviewed + tested
(0110754)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110755)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-01-23 13:10 alostale New Issue
2019-01-23 13:10 alostale Assigned To => alostale
2019-01-23 13:10 alostale Modules => Core
2019-01-23 13:10 alostale Triggers an Emergency Pack => No
2019-01-23 13:10 alostale Review Assigned To => caristu
2019-01-23 13:20 hgbot Checkin
2019-01-23 13:20 hgbot Note Added: 0109111
2019-01-23 13:20 hgbot Checkin
2019-01-23 13:20 hgbot Note Added: 0109112
2019-01-23 13:20 hgbot Status new => resolved
2019-01-23 13:20 hgbot Resolution open => fixed
2019-01-23 13:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f1f5013df638615a5f1f092500b6766e8581441d [^]
2019-01-23 13:22 alostale Relationship added related to 0040011
2019-01-25 14:51 caristu Status resolved => closed
2019-01-25 14:51 caristu Fixed in Version => 3.0PR19Q2
2019-01-25 14:52 caristu Note Added: 0109261
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110754
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110755


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker